# Uses of Interface
org.springframework.web.client.ResponseErrorHandler

Packages that use ResponseErrorHandler
Package
Description
org.springframework.web.client
Core package of the client-side web support.

## Uses of ResponseErrorHandler in org.springframework.web.client

Classes in org.springframework.web.client that implement ResponseErrorHandler
Modifier and Type
Class
Description
`class`
`DefaultResponseErrorHandler`
Spring's default implementation of the `ResponseErrorHandler` interface.
`class`
`ExtractingResponseErrorHandler`
Implementation of `ResponseErrorHandler` that uses `HttpMessageConverters` to convert HTTP error responses to `RestClientExceptions`.
`final class`
`NoOpResponseErrorHandler`
A basic, no operation `ResponseErrorHandler` implementation suitable for ignoring any error using the `RestTemplate` or `RestClient`.
Methods in org.springframework.web.client that return ResponseErrorHandler
Modifier and Type
Method
Description
`ResponseErrorHandler`
RestTemplate.`getErrorHandler()`
Return the error handler.
Methods in org.springframework.web.client with parameters of type ResponseErrorHandler
Modifier and Type
Method
Description
`RestClient.Builder`
RestClient.Builder.`defaultStatusHandler(ResponseErrorHandler errorHandler)`
Register a default status handler to apply to every response.
`RestClient.ResponseSpec`
RestClient.ResponseSpec.`onStatus(ResponseErrorHandler errorHandler)`
Provide a function to map specific error status codes to an error handler.
`void`
RestTemplate.`setErrorHandler(ResponseErrorHandler errorHandler)`
Set the error handler.